> For the complete documentation index, see [llms.txt](https://docs.adiom.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.adiom.io/reference/connectors/mongodb.md).

# MongoDB

The MongoDB connector is supported both as a source and a destination. It is built into dsync/dsynct and connects directly using a MongoDB connection string.

## Configuration

Provide a standard MongoDB connection string as the source or destination argument:

```
mongodb://username:password@host:port
```

This works with MongoDB Atlas (dedicated and serverless), self-managed installations, AWS DocumentDB, and Azure DocumentDB (Cosmos DB vCore). Note that change stream features may need to be explicitly enabled for MongoDB emulators unless you plan to run Initial Sync only.

## Data Type

The MongoDB connector uses **BSON**.

## ID Format

The ID is a single field called `_id`. By default, MongoDB uses ObjectID values for `_id`, but any BSON type is supported.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.adiom.io/reference/connectors/mongodb.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
